LINUX.ORG.RU

Релиз видеоредактора Shotcut 18.05

 ,


0

1

Состоялся релиз свободного видеоредактора Shotcut 18.05, построенного с использованием движка MLT (от того же автора), библиотеки аппаратного ускорения эффектов Movit, библиотек Qt5 и набора мультимедиа кодеков FFmpeg. В новом выпуске:

  • Добавлена поддержка ключевых кадров для следующих фильтров:
    • Gain/Volume;
    • Brightness;
    • Circular Frame;
    • Color Grading;
    • Opacity;
    • Size and Position (только в упрощённом режиме).
  • Добавлена поддержка моно и 5.1 объёмного звука (Settings > Audio Channels и Export >Audio > Channels);
  • Добавлен перевод на финский язык;
  • Возвращена поддержка экспорта GIF анимации;
  • Уменьшен размер памяти (особенно для фильтров Rotate, Size и Position);
  • Изменены параметры экспорта по умолчанию, чтобы уменьшить выходной размер за счёт увеличения GOP и количества B-кадров.

>>> Подробности

★★★★★

Проверено: maxcom ()
Ответ на: комментарий от LinuxDebian

По возможностям они приблизительно равны. В shotcut мне понравилась возможность использовать html для титров, в kdenlive вроде бы нет такой возможности. Возможности shotcut зависят от мейнтейнера репозитория, уже не помню почему, но переполз с пакета от deb-multimedia на статистику с офф. сайта, вроде что-то не работало. Потом правда поправили, но переползать обратно было лень.

einhander ★★ ()
Последнее исправление: einhander (всего исправлений: 1)

И да, в теме ещё не отметился Napilnik, а между прочим, по ссылке есть и AppImage, и tar.bz2 со статикой, которые вроде бы должны убрать головную боль с зависимостями. :)

hobbit ★★★★★ ()

отличный редактор, пользовался им для монтажа видосиков, пол часа почитал доки и он сразу взлетел, достаточно интуитивный и очень удобный.

anonymous ()
Ответ на: комментарий от anonymous

Openshot более бедный по функциям, основан на том же MLT. С блендеровским видеоредактором не работал. Таки у синелеры интерфейс на любителя, для работы с ней все же требуется чтение манюала и понимание его, уже упоминал про титры у shotcut. Это если говорить про достоинства shotcut по сравнению с другими редакторами. Недостатки с которыми я столкнулся при использовании сабжа: включение апаратного ускорения плугинов, безвозвратно меняет файл проекта. Вернуть его к исходному виду можно только редактируя руками. Заметные тормоза на timeline, на слабом железе, причем ни у kdenlive, ни у cinelerra таких проблем нет. И достаточно сильная падучесть.

Собственно последние недостатки и вынудили меня перейти сперва на kdenlive, а потом уже на cinelerra-gg, которые позволяют вполне комфортно работать на слабом железе используя прокси файлы(kdenlive, cinelerra) и распределенный рендеринг(cinelerra).

einhander ★★ ()
Ответ на: комментарий от eSyr

Это я винтажный, телефон вполне современный))) Т9 - система предугадывания слова, автор которой, по слухам сделал swype. Я же использую старое название, оно короче. Но да у меня до сих пор живет нокия с т9 на которой можно зайти на лор, только зачем?)))

einhander ★★ ()
Ответ на: комментарий от einhander

Openshot более бедный по функциям, основан на том же MLT.

Нет, он не основан на MLT. Так было только до ветки 2.х. Для 2.х автор написал собственную либу.

AP ★★★★★ ()
Последнее исправление: AP (всего исправлений: 1)

Кстати, неплохой, если нужно нарезать видос для Ютуба. Жаль, что разработчики монтажек не ориентируются на этот юзкейс, сейчас это одна из самых востребованных задач.

Valeg ★★★ ()
Ответ на: комментарий от hobbit

И да, в теме ещё не отметился Napilnik, а между прочим, по ссылке есть и AppImage, и tar.bz2 со статикой, которые вроде бы должны убрать головную боль с зависимостями. :)

Да всё замечательно, буквы в консоли печатаются - всё работает! Во какой продукт выдаётся:

$ ./Shotcut-18.05.glibc2.14-x86_64.AppImagefuse: warning: library too old, some operations may not work
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, wayland-egl, wayland, xcb.

Reinstalling the application may fix this problem.
/tmp/.mount_ShotcuINIy9x/usr/bin/shotcut: line 15:  9864 Аварийный останов         (core dumped) bin/shotcut "$@"
$ bsdtar -xf Shotcut-18.05.glibc2.14-x86_64.AppImage
bsdtar: Error opening archive: Unrecognized archive format
Ну и tar.bz2
$ ./shotcut
This application failed to start because it could not find or load the Qt platform plugin "xcb"
in "".

Available platform plugins are: eglfs, linuxfb, minimal, minimalegl, offscreen, wayland-egl, wayland, xcb.

Reinstalling the application may fix this problem.
./shotcut: line 15: 10734 Аварийный останов         (core dumped) bin/shotcut "$@"
Вон сколько красивых буквочек! Плуг «xcb» не положили, но и без него красиво печатает.

Napilnik ★★★★★ ()
Ответ на: комментарий от Valeg

Кстати, неплохой, если нужно нарезать видос для Ютуба. Жаль, что разработчики монтажек не ориентируются на этот юзкейс, сейчас это одна из самых востребованных задач.

Разрабам монтажек достаточно содрать морду и набор фич у сони вегаса, для которого есть куча локализованной инфы, русификаторы и сообщества пользователей, но это неинтересно, надо изобретать собственные морды и трудности пользователям.

Napilnik ★★★★★ ()
Последнее исправление: Napilnik (всего исправлений: 1)

до ликвида им всем далеко, но не суть, самый главный минус это долбаная нестабильность, на огромных проектах все падают, причём все, без исключений, всё опробовано сотни раз.

eR ★★★★★ ()
Ответ на: комментарий от anonymous

cinelerra

В плане падучести точно лучше.

openshot

Намного беднее в возможностях, хотя интегрируется с Blender.

blender

Монтажка в блендере убога до безобразия. Годится разве что для создания анимированных вставок, интро и подобного, запиленного в самом же блендере

Sunderland93 ★★★★★ ()
Ответ на: комментарий от Sunderland93

cinelerra

В плане падучести точно лучше.

А ещё разрабы синей леры (GG которая) не гнушаются принимать замечания о работе программы даже на корявом английском аж по электронной почте. И что главное - исправляют практически уже к следующему релизу! Или, как там ежемесячные обновлённые пакеты называются...

Erepb ★★ ()
Ответ на: комментарий от anonymous

Нет. Не знаю, как в этой версии, но в где-то год назад мне в Shotcut сильно не хватало простых операций управления, типа массового выделения, перемещения, удаления кусков. Подробностей не помню. В Kdenlive за счёт долгого существования это всё продумано и отточено. Может сейчас что-то изменилось.

meequz ★★ ()
Ответ на: комментарий от Napilnik

https://github.com/mltframework/shotcut/issues/545

Собственно говоря, вот похожий багрепорт, и даже совсем свежий. Но там про xubuntu, и судя по тому, что предлагается устанавливать пакеты из реп - скорее всего, не про AppImage. В любом случае надо указывать свой дистрибутив.

hobbit ★★★★★ ()
Последнее исправление: hobbit (всего исправлений: 2)
Ответ на: комментарий от Napilnik

Смотря чей это брак. Вдруг он ещё где-то вылезет? Если действительно вопрос в том, что забыли положить какую-то .so - может, авторы и задумаются. Если речь про AppImage, это может быть аргументом.

Впрочем, не настаиваю.

hobbit ★★★★★ ()
Ответ на: комментарий от hobbit

Ну вот, сказали что нужна версия ОС на 4 единицы больше, что толку от багтрекера не будет, либастрал и так сообщал. Когда-нибудь, возможно у меня заработает флатпак, тогда последняя версия гимпа и этого редактора запустится в линуксе.

Napilnik ★★★★★ ()
Ответ на: комментарий от Napilnik

Когда-нибудь, возможно у меня заработает флатпак

На 17 Федоре? Мне таки сдаётся, что проще обновиться до 21 и получить работающий AppImage. Флатпак очень уж «толстожопый» (c) Sunderland93.

Ах да, пока мы это обсуждали, там ещё один AppImage появился, и он успешно запускается на моём Debian Stable. :)

hobbit ★★★★★ ()
Ответ на: комментарий от hobbit

На 17 Федоре? Мне таки сдаётся, что проще обновиться до 21

Эта простота сотни убитых енотов стоит:)))) 17 федора хороша тем что устраивает железо. Если же сменить больше половины симтемника, то можно и на 7 центос натянуть нужные дровишки и сделать основной ОС. Но когда-то же перелезать, предположительно, на центос придётся, вот тогда флатпак и заработает. Пока пытался скомпилять его на федоре из центосовских пакетов, заметил что последнюю модификацию центоса обновили именно так чтобы на него флатпак налез.

А дебиан у тебя седьмой?

Napilnik ★★★★★ ()
Последнее исправление: Napilnik (всего исправлений: 2)
Ответ на: комментарий от Napilnik

Нет, девятый. Но Debian Stable традиционно ругают за «протухшесть», поэтому можно предположить, что если уж в нём работает, то в 90% других дистрибутивов заработает тоже.

А почему всё-таки именно флатпак, а не AppImage, может, при переходе на Центос и он заработает?

hobbit ★★★★★ ()
Ответ на: комментарий от hobbit

поэтому можно предположить, что если уж в нём работает, то в 90% других дистрибутивов заработает тоже.

Да дерьмо такая «технология совместимости», ничем не лучше компиляции под вин32 - она ещё у большего количества пользователей заработает.

А почему всё-таки именно флатпак, а не AppImage, может, при переходе на Центос и он заработает?

Эта лотерея уже достала. Как случайно заработает, так после обновления может и сдохнуть. Плюсонисты используют в своих изделиях нестабильный функционал либ, всю каку тянут из заголовков, в результате после обновления системной glib-2 возникают неопределённые ссылки.

Napilnik ★★★★★ ()
Ответ на: комментарий от anonymous

Ну может захочется когда-нибудь крутой ролик заделать или даже свое кинцо снять, как какой-нибудь Иван Ноэль. А вообще я больше технарь. Я к тому, что в Премьере куча всего + коммерческие плагины можно подцепить.

anonymous ()
Ответ на: комментарий от anonymous

неконкретные вопросы ставишь. посмотри фичлист, запусти шоткат - сам и увидишь хватит тебе (лично тебе, а не вообще, сферическому в вакууме ультрамонтажеру) его, или не хватит. бог весть ведь что ты понимаешь под крутым роликом или кинцом.

anonymous ()

Где стабилизатор?

Ubuntu gnome 16.04.4, shotcut 18.05.08 Нету стаба в фильтрах у меня одного? Смотрел на ютупе видосики, что там не дорожку, а само видео тыкаешь и тогда стаб появляется в фильтрах - ни так ни так у меня его нет..

Switch ()